Bug 36772 - CSS clip:auto; clips to box borders instead of removing clipping
Summary: CSS clip:auto; clips to box borders instead of removing clipping
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: CSS (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Windows XP
: P2 Normal
Assignee: Nobody
URL: http://www.howtocreate.co.uk/working/...
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-29 12:50 PDT by Brian Huisman
Modified: 2012-05-03 03:02 PDT (History)
9 users (show)

See Also:


Attachments
Test case showing hidden box-shadow and generated content when using clip:auto; (852 bytes, text/html)
2010-03-29 12:50 PDT, Brian Huisman
no flags Details
Proposed Patch (5.70 KB, patch)
2012-05-03 02:02 PDT, Uday Kiran
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Huisman 2010-03-29 12:50:21 PDT
Created attachment 51952 [details]
Test case showing hidden box-shadow and generated content when using clip:auto;

According to the CSS specifications, a clip value of "auto" should remove all clipping from an absolutely positioned element.  http://www.w3.org/TR/CSS21/visufx.html#clipping  "auto: The element does not clip."

However, in WebKit browsers, a clip value of "auto" is treated the same as clip:rect(auto, auto, auto, auto) resulting in clipping that clips to all four edges of the box.  This has the effect of hiding box elements that extend beyond the box border such as box-shadow and generated content.
Comment 1 Alex Dunphy 2012-03-14 05:07:14 PDT
Encountered this bug today, confirmed that it is still present in Webkit nightly build as of 2012-03-14.
Comment 2 Uday Kiran 2012-05-03 02:02:48 PDT
Created attachment 139973 [details]
Proposed Patch
Comment 3 Andreas Kling 2012-05-03 02:16:57 PDT
Comment on attachment 139973 [details]
Proposed Patch

Looks great. r=me
Comment 4 WebKit Review Bot 2012-05-03 03:02:10 PDT
Comment on attachment 139973 [details]
Proposed Patch

Clearing flags on attachment: 139973

Committed r115953: <http://trac.webkit.org/changeset/115953>
Comment 5 WebKit Review Bot 2012-05-03 03:02:16 PDT
All reviewed patches have been landed.  Closing bug.